Criar saque do usuário (Pix)
Cria um saque Pix a partir do saldo do usuário. Requer escopo WITHDRAW.
Headers
- Type: stringFormat: uuidIdempotency
- Key Chave de idempotência (recomendado: UUID por intenção). Reenviar a mesma chave retorna o mesmo resultado sem duplicar a operação.
Body·
required
application/json
- Type: integeramountmin:1required
Integer numbers.
- Type: stringpix
Key required - Type: string · enumpix
Type requiredvalues- C
P F - C
N P J - E
M A I L - P
H O N E - E
V P
- Type: stringFormat: uricallback
Url - Type: stringdescription
- Type: stringpin
PIN de segurança (se configurado).
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/withdraw
curl https://api.betpaympix.com/v1/withdraw \
--request POST \
--header 'Idempotency-Key: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"amount": 10000,
"pixKey": "12345678909",
"pixType": "CPF",
"pin": "",
"description": "",
"callbackUrl": ""
}'
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "PENDING",
"amount": 1,
"pixKey": "string",
"pixType": "CPF",
"createdAt": "2026-06-05T07:03:46.123Z"
}